Calendar Auth V4
OAuth callback handler
Handles OAuth callback from calendar providers. This endpoint is called automatically by the provider after the user completes authorization. Creates the calendar connection and redirects the user to the success/error page.
GET
/
v4
/
calendar-connections
/
auth
/
{provider}
/
callback
OAuth callback handler
curl --request GET \
--url https://api.example.com/v4/calendar-connections/auth/{provider}/callbackimport requests
url = "https://api.example.com/v4/calendar-connections/auth/{provider}/callback"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v4/calendar-connections/auth/{provider}/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Path Parameters
Calendar provider handling callback
Available options:
google, outlook, icloud, caldav, exchange, smart-we, ics Query Parameters
OAuth authorization code from provider
OAuth state parameter for security
Error code if OAuth failed
Response
⌘I
OAuth callback handler
